This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1313548 - [RFE] Remove HornetQ dependency from Candlepin
[RFE] Remove HornetQ dependency from Candlepin
Status: NEW
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: candlepin-bugs
Katello QA List
:
Depends On:
Blocks: 1274669
  Show dependency treegraph
 
Reported: 2016-03-01 16:23 EST by Barnaby Court
Modified: 2016-03-02 05:57 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Barnaby Court 2016-03-01 16:23:19 EST
Candlepin is dependent on HornetQ as an intermediary between the Candlepin services and the message bus. Since we are using a message bus that can provide the same resilience there is no need for HornetQ.

1) The status of the connection to the message bus should be listed in the Status API.
2) If Candlepin is configured to send messages over the message bus and that connection fails, all rest requests to Candlepin should error except the status check. Fail Fast!
3) When the connection to the message bus is re-established, the status should update and all rest endpoints should re-enable.

Note You need to log in before you can comment on or make changes to this bug.